Bug 837010 - [abrt] python-2.7.3-6.fc17: _gtk_rbtree_next: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: _gtk_rbtree_next: Process /usr/bin/python2.7 was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:d8e0cf70c9d2d33b4330e7187db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 10:01 EDT by Hervé Marcy
Modified: 2013-07-31 15:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.35 KB, text/plain)
2012-07-02 10:01 EDT, Hervé Marcy
no flags Details
File: backtrace (87.22 KB, text/plain)
2012-07-02 10:01 EDT, Hervé Marcy
no flags Details
File: maps (87.22 KB, text/plain)
2012-07-02 10:01 EDT, Hervé Marcy
no flags Details
File: dso_list (18.24 KB, text/plain)
2012-07-02 10:01 EDT, Hervé Marcy
no flags Details
File: build_ids (7.69 KB, text/plain)
2012-07-02 10:01 EDT, Hervé Marcy
no flags Details

  None (edit)
Description Hervé Marcy 2012-07-02 10:01:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/virt-manager/virt-manager.py
comment:        I deleted a storage pool (the default one) and removed one virtual disk from the other pool located under /virtualmachines. The crash happened after having deleted the virtual disk.
crash_function: _gtk_rbtree_next
executable:     /usr/bin/python2.7
kernel:         3.4.4-3.fc17.x86_64
pid:            10465
pwd:            /home/hmarcy
time:           Mon 02 Jul 2012 03:48:45 PM CEST
uid:            1000
username:       hmarcy
var_log_messages: Jul  2 15:48:45 dhcp-64-183 abrt[24063]: Saved core dump of pid 10465 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-02-15:48:45-10465 (50462720 bytes)
xsession_errors: 

backtrace:      Text file, 89318 bytes
build_ids:      Text file, 7872 bytes
core_backtrace: Text file, 5477 bytes
dso_list:       Text file, 18682 bytes
maps:           Text file, 89311 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/hmarcy/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=XXX.com
:GIO_LAUNCHED_DESKTOP_FILE_PID=10461
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/XXX/keyring-UB258I/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/XXX/keyring-UB258I
:QTDIR=/usr/lib64/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=XXX
:SSH_AUTH_SOCK=/run/user/XXX/keyring-UB258I/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1503,unix/unix:/tmp/.ICE-unix/1503
:USERNAME=XXX
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/virt-manager.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/java/latest/bin/:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/XXX/.local/bin:/home/XXX/bin
:MAIL=/var/spool/mail/XXX
:_=/usr/bin/gnome-session
:QT_IM_MODULE=xim
:PWD=/home/XXX
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1499
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/XXX
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=XXX
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-aD4JTZnLor,guid=043b47a9b97468b5e289df2900000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/XXX
:XAUTHORITY=/var/run/gdm/auth-for-XXX-eNnx3s/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62792                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62792                62792                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:/home/hmarcy/.virt-manager/virt-manager.log
:pos:	875699
:flags:	0100001
:4:socket:[243196]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:/dev/urandom
:pos:	0
:flags:	02100000
:7:socket:[243193]
:pos:	0
:flags:	02000002
:8:socket:[243197]
:pos:	0
:flags:	02004002
:9:socket:[243198]
:pos:	0
:flags:	02004002
:10:socket:[245420]
:pos:	0
:flags:	02004002
:11:pipe:[245421]
:pos:	0
:flags:	00
:12:pipe:[245421]
:pos:	0
:flags:	04001
:13:socket:[243207]
:pos:	0
:flags:	02004002
:14:pipe:[244621]
:pos:	0
:flags:	02000000
:15:pipe:[244621]
:pos:	0
:flags:	02000001

smolt_data:
:
:
:General
:=================================
:UUID: 3fde6e56-44b0-44c0-8a83-f4056bc46965
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5382.21
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 7870
:System Swap: 3997
:Vendor: LENOVO
:System: 4291EJ3 ThinkPad X220
:Form factor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8666) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59426:6058:8666) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:294:6058:8666) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8666) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8666) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7171:6058:8666) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8666) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8666) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8666) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:6058:8666) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-0b8f2af6-f854-4a76-a6a9-c2e1c0a77eac / ext4 4096 4096 3828058 2403442 2211366 960992 788916 788916
:/dev/sda1 /boot ext4 1024 1024 508644 424024 398424 128016 127672 127672
:/dev/mapper/luks-689563c6-f612-43ec-9b07-4c50926bc830 /home ext4 4096 4096 10216908 5626727 5114753 2564096 2540457 2540457
:/dev/mapper/luks-7c1cdd84-4925-4a8a-829a-c62cb4066bfb WITHHELD ext4 4096 4096 12777409 9564150 8923971 3203072 3203050 3203050
:
Comment 1 Hervé Marcy 2012-07-02 10:01:10 EDT
Created attachment 595734 [details]
File: core_backtrace
Comment 2 Hervé Marcy 2012-07-02 10:01:13 EDT
Created attachment 595735 [details]
File: backtrace
Comment 3 Hervé Marcy 2012-07-02 10:01:15 EDT
Created attachment 595736 [details]
File: maps
Comment 4 Hervé Marcy 2012-07-02 10:01:18 EDT
Created attachment 595737 [details]
File: dso_list
Comment 5 Hervé Marcy 2012-07-02 10:01:20 EDT
Created attachment 595738 [details]
File: build_ids
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:01:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:02:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:06:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:13:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:14:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-07-03 16:06:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 15:27:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.